SA 24.1 upgrade issue

Hi Experts,

I'm trying to upgrade SA 2022.11 to 24.1 single core mesh.

It went smooth half way but during slice component, i'm getting below error. don't have any clue on this. DB team is asking to provide the table name , which is not showing in error. Please suggest on this

{'message': "<class 'oracledb.exceptions.DatabaseError'>: ORA-01461: can bind a LONG value only for insert into a LONG column\nHelp

Wayscript installation failed. Archive left in /var/tmp/oitmp/wayscripts.archive

  • Please run manually the command that had failed to execute and upload the full output:

    /opt/opsware/waybot/util/wayscript_installer -i -v --upgrade /var/tmp/oitmp/wayscripts.archive

  • Run this command manually , still getting the same error:

    Installing AppConfig.Audit (version SA.90.0.95037.0)
    Installing AppConfig.Preview (version SA.90.0.95037.0)
    Installing AppConfig.Push (version SA.90.0.95037.0)
    Installing AppConfig.Revert (version SA.90.0.95037.0)
    Installing ServerModule.Execute (version SA.90.0.95037.0)
    Installing Snapshot.cmlRemediate (version SA.90.0.95037.0)
    Installing Snapshot.cmlSnapshot (version SA.90.0.95037.0)
    Installing Virtualization.ManageVirtualServer (version SA.90.0.95037.0)
    Installing Virtualization.ScanHypervisors (version SA.90.0.95037.0)
    Installing __global__.adt_deploy_agents.bat (version SA.90.0.95037.0)
    Installing __global__.adt_deploy_agents.sh (version SA.90.0.95037.0)
    Installing __global__.adt_deploy_agents_smb.sh (version SA.90.0.95037.0)
    Installing __global__.adt_login_rdp.sh (version SA.90.0.95037.0)
    Installing __global__.adt_scan_network.sh (version SA.90.0.95037.0)
    Installing __global__.discover_adh_realms.sh (version SA.90.0.95037.0)
    Installing __global__.macAutoBoot.sh (version SA.90.0.95037.0)
    Traceback (most recent call last):
    File "./xmlrpc/lcxmlrpclib.py", line 136, in __request
    File "./xmlrpc/xmlrpclib.py", line 193, in __request
    File "./SSLTransport.py", line 136, in request
    File "./xmlrpc/xmlrpclib.py", line 168, in parse_response
    File "./xmlrpc/_pyxmlrpc.py", line 101, in close
    librpc.xmlrpc._errors.Fault

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
    File "./util/wayscript_installer.py", line 511, in <module>
    File "./util/wayscript_installer.py", line 499, in main
    File "./util/wayscript_installer.py", line 460, in install_scripts
    File "./serverproxy.py", line 89, in __call__
    File "./xmlrpc/xmlrpclib.py", line 114, in __call__
    File "./xmlrpc/lcxmlrpclib.py", line 140, in __request
    opsware_common.errors.OpswareError:
    been_cascaded: 0
    error_id: HPSA-080
    error_name: spin.valueTooLarge
    faultCode: 3
    faultString: spin.valueTooLarge

    params: {'message': "<class 'oracledb.exceptions.DatabaseError'>: ORA-01461: can bind a LONG value only for insert into a LONG column\nHelp: ">docs.oracle.com/.../"}
    request: UNKNOWN
    tb_chain: [[{'file': './truthdb.py', 'line': 854, 'function': 'execute'}, {'file': './truthcon.py', 'line': 248, 'function': 'execute'}, {'file': './truthcon.py', 'line': 404, 'function': 'trapConnectionErrors'}, {'file': './cursor.py', 'line': 383, 'function': 'execute'}, {'file': 'src/oracledb/impl/thin/cursor.pyx', 'line': 132, 'function': 'oracledb.thin_impl.ThinCursorImpl.execute'}, {'file': 'src/oracledb/impl/thin/protocol.pyx', 'line': 420, 'function': 'oracledb.thin_impl.Protocol._process_single_message'}, {'file': 'src/oracledb/impl/thin/protocol.pyx', 'line': 421, 'function': 'oracledb.thin_impl.Protocol._process_single_message'}, {'file': 'src/oracledb/impl/thin/protocol.pyx', 'line': 414, 'function': 'oracledb.thin_impl.Protocol._process_message'}]]
    timestamp: 26/Jan/2024 141523
    timeticks: None

  • Please check the current state of your wayscripts with be below 2 commands:
    /opt/opsware/support/bin/check_way_obj_sigs WayScript all WayScriptVersion all
    /opt/opsware/support/bin/wsm -qv __global__.macAutoBoot.sh

  • 1st command showing - all valid signatures.

    2nd command outcome is below:

    /opt/opsware/support/bin/wsm -qv __global__.macAutoBoot.sh
    Versions of wayscript '__global__.macAutoBoot.sh':

    Cur | ID | Version | Comments
    ------------------------------------------
    (*) | 160001 | SA.85.0.92170.0 | latest
    | 1390001 | SA.90.0.95037.0 | latest

  • Try this:

    /opt/opsware/support/bin/wsm -s __global__.macAutoBoot.sh~SA.90.0.95037.0

    After that run the installer command again and see if fails again at the same __global__.macAutoBoot.sh script:
    /opt/opsware/waybot/util/wayscript_installer -i -v --upgrade /var/tmp/oitmp/wayscripts.archive

  • Got same error running first command , should i still re run the installer ?

    /opt/opsware/support/bin/wsm -s __global__.macAutoBoot.sh~SA.90.0.95037.0
    Traceback (most recent call last):
    File "./xmlrpc/lcxmlrpclib.py", line 136, in __request
    File "./xmlrpc/xmlrpclib.py", line 193, in __request
    File "./SSLTransport.py", line 136, in request
    File "./xmlrpc/xmlrpclib.py", line 168, in parse_response
    File "./xmlrpc/_pyxmlrpc.py", line 101, in close
    librpc.xmlrpc._errors.Fault

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
    File "<string>", line 1, in <module>
    File "py_loader0", line 14, in <module>
    File "py_loader1", line 49, in <module>
    File "py_loader1", line 34, in load_mod
    File "wsm.py", line 557, in <module>
    File "wsm.py", line 544, in main
    File "wsm.py", line 431, in set_cur_ver_ws
    File "./serverproxy.py", line 89, in __call__
    File "./xmlrpc/xmlrpclib.py", line 114, in __call__
    File "./xmlrpc/lcxmlrpclib.py", line 140, in __request
    opsware_common.errors.OpswareError:
    been_cascaded: 0
    error_id: None
    error_name: waybot.NoReachableTwist
    faultCode: 101
    faultString: waybot.NoReachableTwist

  • Please try to remove this existing wayscript version as follows:

    /opt/opsware/support/bin/wsm -r __global__.macAutoBoot.sh~SA.90.0.95037.0

    If this succeeds then you can try to run the wayscript install script again:
    /opt/opsware/waybot/util/wayscript_installer -i -v --upgrade /var/tmp/oitmp/wayscripts.archive

  • tried below command only but giving this outcome:

    /opt/opsware/support/bin/wsm -s __global__.macAutoBoot.sh~SA.90.0.95037.0
    Traceback (most recent call last):
    File "./xmlrpc/lcxmlrpclib.py", line 136, in __request
    File "./xmlrpc/xmlrpclib.py", line 193, in __request
    File "./SSLTransport.py", line 136, in request
    File "./xmlrpc/xmlrpclib.py", line 168, in parse_response
    File "./xmlrpc/_pyxmlrpc.py", line 101, in close
    librpc.xmlrpc._errors.Fault

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
    File "<string>", line 1, in <module>
    File "py_loader0", line 14, in <module>
    File "py_loader1", line 49, in <module>
    File "py_loader1", line 34, in load_mod
    File "wsm.py", line 557, in <module>
    File "wsm.py", line 544, in main
    File "wsm.py", line 431, in set_cur_ver_ws
    File "./serverproxy.py", line 89, in __call__
    File "./xmlrpc/xmlrpclib.py", line 114, in __call__
    File "./xmlrpc/lcxmlrpclib.py", line 140, in __request
    opsware_common.errors.OpswareError:
    been_cascaded: 0
    error_id: None
    error_name: waybot.NoReachableTwist
    faultCode: 101
    faultString: waybot.NoReachableTwist

  • Pease check my previous comment

    There is a change in the command I requested.

    -s means set

    -r means remove

  • Sorry, that deletion works . but while uploading wayscript again, same error:

    /opt/opsware/waybot/util/wayscript_installer -i -v --upgrade /var/tmp/oitmp/wayscripts.archive
    Installing AppConfig.Audit (version SA.90.0.95037.0)
    Installing AppConfig.Preview (version SA.90.0.95037.0)
    Installing AppConfig.Push (version SA.90.0.95037.0)
    Installing AppConfig.Revert (version SA.90.0.95037.0)
    Installing ServerModule.Execute (version SA.90.0.95037.0)
    Installing Snapshot.cmlRemediate (version SA.90.0.95037.0)
    Installing Snapshot.cmlSnapshot (version SA.90.0.95037.0)
    Installing Virtualization.ManageVirtualServer (version SA.90.0.95037.0)
    Installing Virtualization.ScanHypervisors (version SA.90.0.95037.0)
    Installing __global__.adt_deploy_agents.bat (version SA.90.0.95037.0)
    Installing __global__.adt_deploy_agents.sh (version SA.90.0.95037.0)
    Installing __global__.adt_deploy_agents_smb.sh (version SA.90.0.95037.0)
    Installing __global__.adt_login_rdp.sh (version SA.90.0.95037.0)
    Installing __global__.adt_scan_network.sh (version SA.90.0.95037.0)
    Installing __global__.discover_adh_realms.sh (version SA.90.0.95037.0)
    Installing __global__.macAutoBoot.sh (version SA.90.0.95037.0)
    Traceback (most recent call last):
    File "./xmlrpc/lcxmlrpclib.py", line 136, in __request
    File "./xmlrpc/xmlrpclib.py", line 193, in __request
    File "./SSLTransport.py", line 136, in request
    File "./xmlrpc/xmlrpclib.py", line 168, in parse_response
    File "./xmlrpc/_pyxmlrpc.py", line 101, in close
    librpc.xmlrpc._errors.Fault

    During handling of the above exception, another exception occurred: